Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156453 - [PATCH] python-twisted enhancements
Summary: [PATCH] python-twisted enhancements
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: python-twisted
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-30 15:31 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-01 20:47:05 UTC


Attachments (Terms of Use)
Suggested enhancements (deleted)
2005-04-30 15:31 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2005-04-30 15:31:39 UTC
Here's a patch that merges some enhancements from my old python-twisted package
to the one in Extras.

- IIRC python-crypto and pyOpenSSL are required for a lot of the 
  package's functionality, so added the deps.
- IIRC the freevo rpms require "Twisted", so added the provides.
- Cleanups to installed stuff and docs.
- Honoring $RPM_OPT_FLAGS.

Oh, and by the way, twisted 2.0 is out.

Comment 1 Ville Skyttä 2005-04-30 15:31:39 UTC
Created attachment 113889 [details]
Suggested enhancements

Comment 2 Warren Togami 2005-04-30 20:34:23 UTC
http://download.fedora.redhat.com/pub/fedora/linux/core/development/SRPMS/python-twisted-1.3.0-4.src.rpm
Is this is the same python-twisted in FC4 core?


Comment 3 Ville Skyttä 2005-05-01 08:44:00 UTC
Yep, the core one is a derivative of this package, and it looks most of my patch
is applicable for it too.  I had no idea of this being in core nowadays.

By the way, there's no python-twisted available in the public FC CVS.
http://cvs.fedora.redhat.com/viewcvs/devel/

If python-twisted will ship in FC4, we'll want to remove it from Extras.


Comment 4 Warren Togami 2005-05-01 10:27:29 UTC
Please provide a patch for the exact python-twisted in rawhide and make the
request to remove it from Extras.

Comment 5 Jeremy Katz 2005-05-01 15:33:47 UTC
FWIW, it's in Core only for the Xen tools at this point.  They don't work with
2.0 based on a mail to xen-devel from one of the twisted developers and there's
work underway to have twisted no longer be a dependency for the Xen control
tools.  Once that happens, twisted can ping pong back to extras and be updated
to 2.0. 

I'm not against adding patches to it while it's there though :)

Comment 6 Thomas Vander Stichele 2005-05-01 17:17:35 UTC
I had provides: Twisted originally as well, I was asked to remove it since no
released package requires it (and apparently "but other people have made a
package requiring it" was not an argument).

I'm pretty sure I mentioned the following point last time this patch was
proposed (in f.us bugzilla), but please *don't* remove the trial stuff !!! It is
an important part of twisted and used by other projects, like buildbot and
flumotion.  It is *not* simply only internal testsuite stuff.

Comment 7 Thomas Vander Stichele 2005-05-01 17:24:47 UTC
as for Twisted 2.0, Jeff Pitman has made packages after Twisted's splitup - they
should probably be used as a base.  I'm not sure if he's done with them now.

Comment 8 Ville Skyttä 2005-05-01 18:06:49 UTC
Feel free to close this if you don't agree with the patch, I have no problem
with that.  Just submitted it in case some of it would be useful now that I
finally got rid of my local (unmaintained) package.

Comment 9 Thomas Vander Stichele 2005-05-02 07:45:42 UTC
I don't disagree with everything in the patch, I just want to make sure the
trial stuff stays in there :)


Note You need to log in before you can comment on or make changes to this bug.